<?php
namespace Claromentis\Gallery\Search;

$GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"] ?: array()) + array("_df945ac2fbd" . "d1576202fb48" . "096eb43f9" => base64_decode("YWRtaW4ucGFuZW" . "xzX2xpc3Q="), "perm" . "s" => base64_decode("cGVybXM" . "="), "_c61345ccedc39c197742776627" . "5e2da6" => base64_decode("aW1hZ2VfZ2" . "FsbGVyeQ=="), "_61a5ceb347019e37116d4d290" . "7163b82" => base64_decode("bWF0Y2hfYWx" . "s"));
use Claromentis\Core\Admin\AdminPanel;
use Claromentis\Core\Security\SecurityContext;
use Claromentis\Core\Services;
use Claromentis\Search\GlobalSearchItemInterface;
use Claromentis\Search\Permissions as SearchPermissions;





class GallerySearchImage implements GlobalSearchItemInterface
{
    
    
    
    
    public function GetIndexingObject()
    {
        return new Indexing\ImageIndexing();
    }
    
    
    
    
    
    
    public function GetPermissionsSearchFilter(SecurityContext $context)
    {
        $_9d8a16b274aa2655326eee6fb9000c83 = new SearchPermissions();
        
        
        $_9c58d9e285fddad133acf2e9dff4c4b5 = Services::I()->{$GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_df945ac2fbdd1576202fb48096eb43" . "f9"]}->GetOne($GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_c61345ccedc39c1977427766" . "275e2da6"]);
        if (!$_9c58d9e285fddad133acf2e9dff4c4b5->IsAccessible($context)) {
            return $_9d8a16b274aa2655326eee6fb9000c83->GetSearchFilter($context, $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["p" . "e" . "r" . "m" . "s"]);
        } else {
            return [$GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_61a5ceb347019e37116d4d290" . "7163b82"] => new \stdClass()];
        }
    }
    
    
    
    
    public function GetView()
    {
        return new View\ImageView();
    }
}